Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.stream
Class HadoopGroupGate

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
              cascading.flow.stream.SpliceGate
                  cascading.flow.hadoop.stream.HadoopGroupGate

All Implemented Interfaces:
  Collapsing, ElementDuct

Direct Known Subclasses:
  HadoopCoGroupGate, HadoopGroupByGate

    public abstract class HadoopGroupGate

extends SpliceGate

Nested Class Summary

Nested classes/interfaces inherited from class cascading.flow.stream.SpliceGate
`SpliceGate.Role`

Field Summary
`protected HadoopGroupByClosure` | `closure`
`protected OutputCollector` | `collector`

Fields inherited from class cascading.flow.stream.SpliceGate
`flowProcess, grouping, incomingScopes, keyBuilder, keyEntry, keyFields, orderedPrevious, outgoingScopes, role, sortBuilder, sortFields, splice, tupleEntryIterator, valuesBuilder, valuesFields`

Fields inherited from class cascading.flow.stream.Gate
`allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`HadoopGroupGate(FlowProcess flowProcess, Splice splice, SpliceGate.Role role)`

Method Summary
`void` | `bind(StreamGraph streamGraph)`
`void` | `complete(Duct previous)`
`void` | `prepare()`
`void` | `run(Tuple key, Iterator values)`
`void` | `start(Duct previous)`
`protected abstract Tuple` | `unwrapGrouping(Tuple key)`

Methods inherited from class cascading.flow.stream.SpliceGate
`addIncomingScope, addOutgoingScope, cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, initialize, makePosMap, orderDucts, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Gate
`getAllPreviousFor`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, receive, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### closure

    protected HadoopGroupByClosure closure

### collector

    protected OutputCollector collector

Constructor Detail

### HadoopGroupGate

    public HadoopGroupGate(FlowProcess flowProcess,
                           Splice splice,
                           SpliceGate.Role role)

Method Detail

### bind

    public void bind(StreamGraph streamGraph)

  Overrides:
    `bind` in class `Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### prepare

    public void prepare()

  Overrides:
    `prepare` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### run

    public void run(Tuple key,
                    Iterator values)

### unwrapGrouping

    protected abstract Tuple unwrapGrouping(Tuple key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.